Subject: bug#60854: [PATCH] Make warnings show a "warning" emoji instead of a stop-sign

From: Konstantin Kharlamov <[email-masked]>
Date: Fri, 31 Mar 2023 09:26:38 +0300

On Fri, 2023-03-31 at 09:19 +0300, Konstantin Kharlamov wrote:
> On Fri, 2023-03-31 at 08:55 +0300, Eli Zaretskii wrote:
> > > From: Konstantin Kharlamov <[email-masked]>
> > > Date: Thu, 30 Mar 2023 23:58:06 +0300
> > > 
> > > Given release is pretty close, how about at least replacing the emoji to
> > > radio
> > > button? 🔘 This way it would be clearly a button, and also wouldn't have
> > > any
> > > reds in it
> > 
> > Who says this character is widespread enough for us to use it?
> 
> 🔘 was approved to Unicode in 2010¹. In comparison, the ⛔ character being used
> now was approved in 2009². Also, both characters were part of the same release
> Emoji Version 1.0.
> 
> So I guess, there shouldn't be much difference?
> 
> > Anyway, I see no reason to rush with this.  The current situation is
> > not really that bad, considering that these messages should not be
> > shown too frequently.
> 
> My experience is the opposite, which is why I'm pinging this issue. When
> native
> compilation is enabled (which is guess is what we'd prefer to see as it
> improves
> performance for our users), it is shown every time stuff from ELPA gets byte-
> recompiled. That is, every time you install or update packages, you will get
> some warnings.

Actually, scratch that, it's even worse. You see: the byte-compiled packages are
natively-compiled on demand, i.e. on the first use. So, suppose you updated your
(M)ELPA packages. What happens is that you get a bunch of warnings for packages
that were loaded immediately, which is not all of them. During Emacs use later,
as you open new files that weren't opened during the update thus triggering the
according modes to load, you will get more and more new warnings.